breton_nerd, i use this version of ruby http://rubyforge.org/frs/download.php/47082/ruby186-27_rc2.exe for compile C++ extension.
And I comment lines
//#if _MSC_VER != 1200
//#error MSC version unmatch
//#endif
in c:\Ruby186\lib\ruby\1.8\i386-mswin32\config.h
I had failed with other versions. What version of ruby you use?
Posts made by exvion
-
RE: Ruby C++ extension crashes SketchUp
-
RE: Blender Information / Advice Thread
@escapeartist said:
Don't forget that Blender has some great free render software too. Luxrender, Yafaray, POV, and others, though they are not working in 2.5 or 64 bit Blender yet. I just do my modeling in 2.5 and then export to 2.49 for rendering.
Yafaray for Blender 2.5 64bit
http://www.yafaray.org/phpBB3/viewtopic.php?f=12&t=3548 -
RE: Best way to get all Face's in model?
This code work:
model = Sketchup.active_model faces = [] faces.concat( model.entities.select{|e| e.is_a?( Sketchup;;Face ) } ) model.definitions.each { |d| next if d.image? faces.concat( d.entities.select{|e| e.is_a?( Sketchup;;Face ) } ) }
-
RE: Best way to get all Face's in model?
thomthom, I run your code on Sketchup 7.1:
(eval);508; compile error (eval);505; syntax error, unexpected tIDENTIFIER, expecting ')' model.definitions.each { |d| ^ (eval);508; syntax error, unexpected '}', expecting ')'<<< Process finished.
-
How fix problem with Import DXF.
I get DXF file, export from CorelDraw. Import into Sketchup.
Zoom-in.
How fix this problem? How to close the open circuit? What plugin would help? -
RE: SU2SLG Sketchup plugin for SmallLuxGPU v1.5beta 1 GPU+CPU
New version SU2SLG 6 May 2010 for SLG 1.5beta3- export textures
- export normals
- export sunlight and sunsky
- add setting editor (not all options work)
- and many other changes
http://www.luxrender.net/forum/viewtopic.php?f=34&t=3691&start=10#p38274
Test new UI of Setting Editor http://exvion.ru/ui-su2slg/
-
RE: Extentions (Preferences)
Because not all developers to add this feature in own plugins.
-
RE: SU2SLG Sketchup plugin for SmallLuxGPU v1.5beta 1 GPU+CPU
@solo said:
What if you have a stone texture called 'lightgreymarble', will it become a light?
yes, It is temp solution.
-
RE: SU2SLG Sketchup plugin for SmallLuxGPU v1.5beta 1 GPU+CPU
Khai, You have to add light source. Create material with name contain "light" ex. "leftlight", "toplight", "mylight1" and assign to mesh.
-
RE: SU2SLG Sketchup plugin for SmallLuxGPU v1.5beta 1 GPU+CPU
Khai, do you open su2slg.skp or create own scene?
-
RE: SU2SLG Sketchup plugin for SmallLuxGPU v1.5beta 1 GPU+CPU
Result: 10min Nvidia GeForce 8600GT
-
SU2SLG Sketchup plugin for SmallLuxGPU v1.5beta 1 GPU+CPU
Hi.
SmallLuxGPU is GPU+CPU render.
About SmallLuxGPU
SU2SLG
Features:- export ply-files, scn, cfg in "SLG folder/scenes/tmpscene"
- after export you can start render with start.bat
- default material type - 'matte'
- if material name contains 'light', then material type = 'light'
Unstable version. Tested on Windows XP. Not work on Mac.
Test scene attached.Install.
Extract SLG-v1.5beta1.zip to folder.
Extract su2slg.zip. Copy su2slg.rb in folder "Plugins".Discussion about SU2SLG on Luxrender forum. Request registration.
Any ideas you can post me exvion@gmail.com
-
RE: Set path for request dlls
Solution
require 'myplugin/Win32API' LoadLibrary = Win32API.new("kernel32","LoadLibrary",["P"],"I") path='' # set path to dir with dlls dllname=path+'mylib1.dll' LoadLibrary.call(dllname) dllname=path+'mylib2.dll' LoadLibrary.call(dllname)
-
Set path for request dlls
I created mymodule.so. I put it in plugins/myplugin folder. Created myplugin.rb in plugins.
myplugin.rbrequire 'myplugin/mymodule.so'
If I run myplugin.rb, I get a message box that is not found mylib1.dll and mylib2.dll.
How to specify where to find dlls?
Copying mylib1.dll and mylib2.dll in sketchup folder solves this problem, but I would like to specify the location of the directory with dlls. -
RE: Boolean subtraction of two circle
Yes, this line is not correct, but I don't now how create face limited by two arc.
If I explode group, than I can generate face.
-
RE: Boolean subtraction of two circle
I created two arc
group = Sketchup.active_model.entities.add_group vector2 = Geom;;Vector3d.new 0,0,1 group.entities.add_arc point0, vector2, vector, diametr/2, -150.degrees, 150.degrees point0.z=point0.z-diametr*(3**0.5)*0.5 group.entities.add_arc point0, vector2, vector, diametr/2, -30.degrees, 30.degrees
How create face and push it? I try. What is wrong?
face=Sketchup.active_model.entities.add_face(group.entities) face.pushpull distance,true
-
RE: Boolean subtraction of two circle
I don't know how calculate parameters of second arc.
-
Boolean subtraction of two circle
I wrote
model = Sketchup.active_model
entities = model.entities
edgearray0 = entities.add_circle point0, vector0, radius
edgearray1 = entities.add_circle point1, vector1, radiusHow make boolean subtraction?